Qt Cryptographic Architecture: QCA::CertCollectionContext Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::CertCollectionContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::CertCollectionContext:
[legend]

## Public Member Functions
| CertCollectionContext (Provider *p)
virtual ConvertResult | fromPKCS7 (const QByteArray &a, QList< CertContext * > *certs, QList< CRLContext * > *crls) const =0
virtual QByteArray | toPKCS7 (const QList< CertContext * > &certs, const QList< CRLContext * > &crls) const =0

## Additional Inherited Members
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (Provider *parent, const QString &type)
| BasicContext (const BasicContext &from)

## Detailed Description

X.509 certificate collection provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CertificateCollection instead.

## Constructor & Destructor Documentation

QCA::CertCollectionContext::CertCollectionContext | ( | Provider * | p | ) |
| inline

Standard constructor.

Parameters

  p | the provider associated with this context

## Member Function Documentation

virtual QByteArray QCA::CertCollectionContext::toPKCS7 | ( | const QList< CertContext * > & | certs,
|  | const QList< CRLContext * > & | crls
| ) |  | const
| pure virtual

Create PKCS#7 DER output based on the input certificates and CRLs.

Returns an empty array on error.

Parameters

  certs | list of certificates to store in the output
  crls | list of CRLs to store in the output

virtual ConvertResult QCA::CertCollectionContext::fromPKCS7 | ( | const QByteArray & | a,
|  | QList< CertContext * > * | certs,
|  | QList< CRLContext * > * | crls
| ) |  | const
| pure virtual

Read PKCS#7 DER input and convert it into a list of certificates and CRLs.

The caller is responsible for deleting the returned items.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters

  a | the input data
  certs | the destination list for the certificates
  crls | the destination list for the CRLs

The documentation for this class was generated from the following file:

- qcaprovider.h